<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.cmd.CollTrans</name>
<version>6</version>
<engineversion>25</engineversion>
<description>Collect Ores and transfer to target</description>
<arguments>
<argument index="1" name="Transfer.toTarget" type="Var/Ship/Station" desc="Target to transfer to" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>rewrite&#160;in&#160;progress</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="007" indent=""><var>$cmd.Mining&#160;=&#160;</var><var>COMMAND_XAI_AUTOM_MINING</var></line>
<line linenr="008" indent=""><var>$cmd.collect&#160;=&#160;</var><var>COMMAND_XAI_AUTOM_COLLECT_ORES</var></line>
<line linenr="009" indent=""><var>$find.flags&#160;=&#160;</var><var>[Find.Nearest]</var><text>&#160;</text><var>|</var><text>&#160;</text><var>[Find.Multiple]</var></line>
<line linenr="010" indent=""><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10022</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>[SECTOR]</var><text>,&#160;</text><var>$Transfer.toTarget</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><comment><text>*&#160;</text><var>If&#160;&#160;this&#160;is&#160;target&#160;dont&#160;set&#160;transfer&#160;target</var></comment></line>
<line linenr="013" indent=""><var>skip&#160;if&#160;</var><var>$Transfer.toTarget</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>null</var></line>
<line linenr="014" indent="&#160;"><var>$Transfer.toTarget&#160;=&#160;</var><var>[THIS]</var></line>
<line linenr="015" indent=""></line>
<line linenr="016" indent=""><comment><text>*&#160;</text><var>Set&#160;script&#160;cmd&#160;and&#160;target</var></comment></line>
<line linenr="017" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_FOLLOW</var><text>&#160;&#160;target=</text><var>$Transfer.toTarget</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="018" indent=""><text>set&#160;script&#160;command:&#160;</text><var>$cmd.collect</var></line>
<line linenr="019" indent=""><comment><text>*&#160;</text><var>Set&#160;transfer&#160;Target&#160;display</var></comment></line>
<line linenr="020" indent=""><var>if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Ship</var></line>
<line linenr="021" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command&#160;target:&#160;</text><var>Ship</var></line>
<line linenr="022" indent=""><var>else&#160;if&#160;</var><var>$Transfer.toTarget&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Station</var></line>
<line linenr="023" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command&#160;target:&#160;</text><var>Station</var></line>
<line linenr="024" indent=""><text>else</text></line>
<line linenr="025" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command&#160;target:&#160;</text><var>null</var></line>
<line linenr="026" indent=""><text>end</text></line>
<line linenr="027" indent=""></line>
<line linenr="028" indent=""><var>$ores&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="029" indent=""><text>append&#160;</text><var>Ore</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="030" indent=""><text>append&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="031" indent=""><text>append&#160;</text><var>Nividium</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="032" indent=""></line>
<line linenr="033" indent=""><comment><text>*&#160;</text><var>Start&#160;&#160;Followers</var></comment></line>
<line linenr="034" indent=""><var>$Following.Ships&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;formation&#160;follower&#160;ships</text></line>
<line linenr="035" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$Following.Ships</var></line>
<line linenr="036" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.AutoM.Start.followers</call><text>&#160;:&#160;</text></line>
<line linenr="037" indent=""></line>
<line linenr="038" indent=""><comment><text>*&#160;</text><var>Start&#160;Loop&#160;Here!</var></comment></line>
<line linenr="039" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="040" indent=""><comment><text>*&#160;</text><var>-------------------------------------</var></comment></line>
<line linenr="041" indent=""><comment><text>*&#160;</text><var>Start&#160;main&#160;loop</var></comment></line>
<line linenr="042" indent=""><comment><text>*&#160;</text><var>-------------------------------------</var></comment></line>
<line linenr="043" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="044" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="045" indent="&#160;"></line>
<line linenr="046" indent=""><comment><text>*&#160;</text><var>-&#160;&#160;Admin&#160;section&#160;-</var></comment></line>
<line linenr="047" indent=""><comment><text>*&#160;</text><var>-------------------------------------</var></comment></line>
<line linenr="048" indent="&#160;"><var>$Following.Ships&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;formation&#160;follower&#160;ships</text></line>
<line linenr="049" indent="&#160;"></line>
<line linenr="050" indent=""><comment><text>*&#160;</text><var>get&#160;scanner&#160;range,&#160;incase&#160;equipment&#160;has&#160;changed</var></comment></line>
<line linenr="051" interruptable="@" indent="&#160;"><var>$scanner.range&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.find</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'scanner.range'</var><text>&#160;</text><text>&#160;Arg1=</text><var>[THIS]</var><text>&#160;</text><text>&#160;Arg2=</text><var>null</var><text>&#160;</text><text>&#160;Arg3=</text><var>null</var><text>&#160;</text><text>&#160;Arg4=</text><var>null</var></line>
<line linenr="052" indent="&#160;"></line>
<line linenr="053" indent=""><comment><text>*&#160;</text><var>Find&#160;mining&#160;ship</var></comment></line>
<line linenr="054" indent="&#160;"><var>if&#160;not&#160;</var><var>$mining.ship</var></line>
<line linenr="055" indent="&#160;&#160;"><var>$ships.list&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>[SECTOR]</var><text>&#160;class&#160;or&#160;type=</text><var>Ship</var><text>&#160;race=</text><var>Player</var><text>&#160;flags=</text><var>$find.flags</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>999</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="056" indent="&#160;&#160;"></line>
<line linenr="057" interruptable="@" indent="&#160;&#160;"><var>$mining.ship&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.find2</call><text>&#160;:&#160;</text><text>&#160;Command=</text><var>'ship.byCmd'</var><text>&#160;</text><text>&#160;Arg1=</text><var>$ships.list</var><text>&#160;</text><text>&#160;Arg2=</text><var>$cmd.Mining</var><text>&#160;</text><text>&#160;Arg3=</text><var>[FALSE]</var><text>&#160;</text><text>&#160;Arg4=</text><var>null</var></line>
<line linenr="058" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$mining.ship</var></line>
<line linenr="059" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;to&#160;formation&#160;with&#160;leader&#160;</text><var>$mining.ship</var></line>
<line linenr="060" indent="&#160;"><text>end</text></line>
<line linenr="061" indent="&#160;"></line>
<line linenr="062" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="063" indent=""><comment><text>*&#160;</text><var>Check&#160;Cargospace</var></comment></line>
<line linenr="064" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;If&#160;free&#160;space,&#160;get&#160;ore.&#160;Xfer&#160;from&#160;mining&#160;ship&#160;and&#160;collect&#160;fragments</var></comment></line>
<line linenr="065" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="066" indent="&#160;&#160;"></line>
<line linenr="067" indent=""><comment><text>*&#160;</text><var>-&#160;&#160;transfer&#160;ore&#160;from&#160;mining&#160;ship&#160;-</var></comment></line>
<line linenr="068" indent=""><comment><text>*&#160;</text><var>-------------------------------------</var></comment></line>
<line linenr="069" indent="&#160;&#160;"><var>if&#160;</var><var>$mining.ship</var></line>
<line linenr="070" indent="&#160;&#160;&#160;"><var>$dist&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>[THIS]</var><text>&#160;and&#160;</text><var>$mining.ship</var></line>
<line linenr="071" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$dist</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="072" indent="&#160;&#160;&#160;&#160;"><var>$ores.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ores</var></line>
<line linenr="073" indent="&#160;&#160;&#160;&#160;"><var>while&#160;</var><var>$ores.num</var></line>
<line linenr="074" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="075" indent="&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$ores.num&#160;=&#160;</var></line>
<line linenr="076" indent="&#160;&#160;&#160;&#160;&#160;"><var>$ore&#160;=&#160;</var><var>$ores</var><text>[</text><var>$ores.num</var><text>]</text></line>
<line linenr="077" indent="&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="078" indent="&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="079" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$ore.amount&#160;=&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="080" indent="&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="081" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$ore.amount</var></line>
<line linenr="082" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="083" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10028</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$mining.ship</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$ore.amount</var><text>,&#160;</text><var>$ore</var></line>
<line linenr="084" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'from.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>$mining.ship</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$ore.amount</var></line>
<line linenr="085" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10029</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$amount</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="086" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="087" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="088" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10028</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$mining.ship</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$ore.amount</var><text>,&#160;</text><var>$ore</var></line>
<line linenr="089" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'to.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>[THIS]</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$ore.amount</var></line>
<line linenr="090" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10029</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$amount</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="091" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="092" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="093" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="094" indent="&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="095" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="096" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="097" indent="&#160;&#160;"><text>end</text></line>
<line linenr="098" indent="&#160;&#160;"></line>
<line linenr="099" indent=""><comment><text>*&#160;</text><var>-&#160;&#160;Lets&#160;start&#160;collecting&#160;-</var></comment></line>
<line linenr="100" indent=""><comment><text>*&#160;</text><var>-------------------------------------</var></comment></line>
<line linenr="101" indent=""><comment><text>*&#160;</text><var>check&#160;for&#160;fragments&#160;to&#160;collect</var></comment></line>
<line linenr="102" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><text>&#160;find&#160;flying&#160;ware:&#160;sector=</text><var>[SECTOR]</var><text>&#160;maintype=</text><var>20</var><text>&#160;subtype=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>999</var><text>,&#160;refpos=</text><var>null</var></line>
<line linenr="103" interruptable="@" indent="&#160;&#160;&#160;"><var>$amount.collected&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.AutoM.collect.Ore</call><text>&#160;:&#160;</text></line>
<line linenr="104" indent="&#160;&#160;"></line>
<line linenr="105" indent="&#160;&#160;"></line>
<line linenr="106" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;If&#160;NOT&#160;free&#160;space,&#160;Xfer&#160;to&#160;target&#160;or&#160;stop</var></comment></line>
<line linenr="107" indent="&#160;"><var>else&#160;if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="108" indent="&#160;&#160;"></line>
<line linenr="109" indent="&#160;&#160;"><var>if&#160;not&#160;</var><var>$Transfer.toTarget</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[THIS]</var></line>
<line linenr="110" indent=""><comment><text>*&#160;</text><var>Transfer&#160;to&#160;target</var></comment></line>
<line linenr="111" indent="&#160;&#160;&#160;"><var>$this.freeSpace&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="112" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.AutoM.Transfer</call><text>&#160;:&#160;</text><text>&#160;Target&#160;to&#160;transfer&#160;to=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Mining&#160;Ship=</text><var>$mining.ship</var></line>
<line linenr="113" indent="&#160;&#160;"><text>else</text></line>
<line linenr="114" indent=""><comment><text>*&#160;</text><var>Transfer&#160;to&#160;following&#160;ships</var></comment></line>
<line linenr="115" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Following.Ships</var></line>
<line linenr="116" indent="&#160;&#160;&#160;&#160;"><var>$Following.Ships.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Following.Ships</var></line>
<line linenr="117" indent="&#160;&#160;&#160;&#160;"><var>while&#160;</var><var>$Following.Ships.num</var></line>
<line linenr="118" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="119" indent="&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$Following.Ships.num&#160;=&#160;</var></line>
<line linenr="120" indent="&#160;&#160;&#160;&#160;&#160;"><var>$Following.ship&#160;=&#160;</var><var>$Following.Ships</var><text>[</text><var>$Following.Ships.num</var><text>]</text></line>
<line linenr="121" indent="&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="122" indent="&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Following.ship&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>Ore&#160;Collector</var></line>
<line linenr="123" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$dist&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>[THIS]</var><text>&#160;and&#160;</text><var>$Following.ship</var></line>
<line linenr="124" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$dist</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="125" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>$ores.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ores</var></line>
<line linenr="126" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>while&#160;</var><var>$ores.num</var></line>
<line linenr="127" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$ores.num&#160;=&#160;</var></line>
<line linenr="128" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>$ore&#160;=&#160;</var><var>$ores</var><text>[</text><var>$ores.num</var><text>]</text></line>
<line linenr="129" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="130" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Following.ship&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="131" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>$ore.amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="132" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$ore.amount</var></line>
<line linenr="133" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="134" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="135" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10028</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$mining.ship</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$ore.amount</var><text>,&#160;</text><var>$ore</var></line>
<line linenr="136" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'to.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>$Following.ship</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$ore.amount</var></line>
<line linenr="137" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10029</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$amount</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="138" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="139" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>$Following.ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="140" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10028</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$mining.ship</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$ore.amount</var><text>,&#160;</text><var>$ore</var></line>
<line linenr="141" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$Following.ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'from.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>[THIS]</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$ore.amount</var></line>
<line linenr="142" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>5001</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;pageid=</text><var>5501</var><text>&#160;textid=</text><var>10029</var><text>,&#160;</text><var>[THIS]</var><text>,&#160;</text><var>$amount</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="143" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="144" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"></line>
<line linenr="145" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="146" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="147" indent="&#160;&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="148" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="149" indent="&#160;&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="150" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="151" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="152" indent="&#160;&#160;&#160;"></line>
<line linenr="153" indent=""><comment><text>*&#160;</text><var>Stop&#160;collecting&#160;command&#160;if&#160;enemy&#160;ships&#160;are&#160;detected</var></comment></line>
<line linenr="154" indent="&#160;&#160;&#160;"><var>if&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>[THIS]</var><text>&#160;class&#160;or&#160;type=</text><var>Ship</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Enemy]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="155" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$mining.ship</var></line>
<line linenr="156" indent="&#160;&#160;&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>follow</var></line>
<line linenr="157" indent="&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="158" indent="&#160;&#160;&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>dock</var></line>
<line linenr="159" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="160" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="161" indent="&#160;&#160;&#160;"></line>
<line linenr="162" indent=""><comment><text>*&#160;</text><var>Stop&#160;collecting&#160;command&#160;if&#160;no&#160;&#160;free&#160;space</var></comment></line>
<line linenr="163" indent="&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="164" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$mining.ship</var></line>
<line linenr="165" indent="&#160;&#160;&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>follow</var></line>
<line linenr="166" indent="&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="167" indent="&#160;&#160;&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>dock</var></line>
<line linenr="168" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="169" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="170" indent="&#160;&#160;"><text>end</text></line>
<line linenr="171" indent="&#160;"><text>end</text></line>
<line linenr="172" indent="&#160;"></line>
<line linenr="173" indent=""><comment><text>*&#160;</text><var>If&#160;no&#160;more&#160;fragments&#160;return&#160;to&#160;mining&#160;ship</var></comment></line>
<line linenr="174" indent="&#160;"><var>skip&#160;if&#160;</var><text>&#160;find&#160;flying&#160;ware:&#160;sector=</text><var>[SECTOR]</var><text>&#160;maintype=</text><var>20</var><text>&#160;subtype=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>999</var><text>,&#160;refpos=</text><var>null</var></line>
<line linenr="175" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.AutoM.fly.toMiner</call><text>&#160;:&#160;</text><text>&#160;Target&#160;to&#160;transfer&#160;to=</text><var>$Transfer.toTarget</var><text>&#160;</text><text>&#160;Mining&#160;Ship=</text><var>$mining.ship</var></line>
<line linenr="176" indent="&#160;"></line>
<line linenr="177" indent=""><text>end</text></line>
<line linenr="178" indent=""><comment><text>*&#160;</text><var>-&#160;End&#160;of&#160;Main&#160;Loop</var></comment></line>
<line linenr="179" indent=""><comment><text>*&#160;</text><var>-------------------------------------</var></comment></line>
<line linenr="180" indent=""></line>
<line linenr="181" indent=""><var>dock</var><text>:</text></line>
<line linenr="182" indent=""><var>while&#160;not&#160;</var><var>[DOCKEDAT]</var></line>
<line linenr="183" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="184" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>null</var><text>&#160;</text><text>&#160;Range=</text><var>null</var><text>&#160;</text><text>&#160;Sector&#160;Position=</text><var>null</var></line>
<line linenr="185" indent=""><text>end</text></line>
<line linenr="186" indent=""><text>return&#160;</text><var>null</var></line>
<line linenr="187" indent=""></line>
<line linenr="188" indent=""><var>follow</var><text>:</text></line>
<line linenr="189" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="190" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="191" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$mining.ship</var><text>&#160;</text><text>&#160;Range=</text><var>null</var><text>&#160;</text><text>&#160;Sector&#160;Position=</text><var>null</var></line>
<line linenr="192" indent=""><text>end</text></line>
<line linenr="193" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.cmd.CollTrans" /><sval type="int" val="25" /><sval type="string" val="Collect Ores and transfer to target" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="array" size="18"><sval type="string" val="Transfer.toTarget" /><sval type="string" val="cmd.Mining" /><sval type="string" val="cmd.collect" /><sval type="string" val="find.flags" /><sval type="string" val="ores" /><sval type="string" val="Following.Ships" /><sval type="string" val="scanner.range" /><sval type="string" val="mining.ship" /><sval type="string" val="ships.list" /><sval type="string" val="dist" /><sval type="string" val="ores.num" /><sval type="string" val="ore" /><sval type="string" val="ore.amount" /><sval type="string" val="amount" /><sval type="string" val="amount.collected" /><sval type="string" val="this.freeSpace" /><sval type="string" val="Following.Ships.num" /><sval type="string" val="Following.ship" /></sval><sval type="array" size="114"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="520" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="521" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="15" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="7" /><sval type="int" val="-2" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10022" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536869113" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610609661" /><sval type="int" val="12" /><sval type="int" val="2004" /></sval><sval type="array" size="5"><sval type="int" val="526" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="12" /><sval type="int" val="2004" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="16" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610608891" /><sval type="int" val="12" /><sval type="int" val="2016" /></sval><sval type="array" size="5"><sval type="int" val="526" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="12" /><sval type="int" val="2016" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="16" /></sval><sval type="array" size="5"><sval type="int" val="526" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="983040" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="983042" /></sval><sval type="array" size="4"><sval type="int" val="559" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606840" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.AutoM.Start.followers" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610586615" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="4"><sval type="int" val="559" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.find" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="string" val="scanner.range" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536862716" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="12" /><sval type="int" val="2004" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="999" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.find2" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="string" val="ship.byCmd" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="9" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610604536" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="510" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610598141" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598909" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610598909" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598903" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610599165" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610599165" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610600189" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10028" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="13" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="from.ship" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10029" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="53" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="-1610599163" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10028" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="to.ship" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10029" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="18"><sval type="int" val="766" /><sval type="int" val="-1610598392" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="999" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.AutoM.collect.Ore" /><sval type="int" val="14" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="99" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536845562" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536855036" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.AutoM.Transfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="99" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610589949" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610589943" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="16" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="16" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="-1610590205" /><sval type="int" val="9" /><sval type="int" val="1048621" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="17" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610590205" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610590199" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="-1610590461" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610590461" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610591485" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10028" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="to.ship" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10029" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="87" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="-1610590459" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10028" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="from.ship" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="19"><sval type="int" val="406" /><sval type="int" val="4" /><sval type="int" val="5001" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="5501" /><sval type="int" val="4" /><sval type="int" val="10029" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="72" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="64" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="-1610588669" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="12" /><sval type="int" val="2004" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610588925" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="108" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="94" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="102" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536845564" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610587645" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="108" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="99" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="102" /></sval><sval type="array" size="18"><sval type="int" val="766" /><sval type="int" val="-536845049" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="999" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.AutoM.fly.toMiner" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="dock" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536843510" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="103" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="follow" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610583799" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="109" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="22" /><sval type="string" val="Target to transfer to" /></sval></sval><sval type="array" size="93"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining 2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="rewrite in progress" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="If  this is target dont set transfer target" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="7" /><sval type="int" val="1" /><sval type="string" val="Set script cmd and target" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val="Set transfer Target display" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="20" /><sval type="int" val="1" /><sval type="string" val="Start  Followers" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="23" /><sval type="int" val="1" /><sval type="string" val="Start Loop Here!" /></sval><sval type="array" size="3"><sval type="int" val="23" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="23" /><sval type="int" val="1" /><sval type="string" val="-------------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="23" /><sval type="int" val="1" /><sval type="string" val="Start main loop" /></sval><sval type="array" size="3"><sval type="int" val="23" /><sval type="int" val="1" /><sval type="string" val="-------------------------------------" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="25" /><sval type="int" val="1" /><sval type="string" val="-  Admin section -" /></sval><sval type="array" size="3"><sval type="int" val="25" /><sval type="int" val="1" /><sval type="string" val="-------------------------------------" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="26" /><sval type="int" val="1" /><sval type="string" val="get scanner range, incase equipment has changed" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="27" /><sval type="int" val="1" /><sval type="string" val="Find mining ship" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="Check Cargospace" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val=" - If free space, get ore. Xfer from mining ship and collect fragments" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="33" /><sval type="int" val="1" /><sval type="string" val="-  transfer ore from mining ship -" /></sval><sval type="array" size="3"><sval type="int" val="33" /><sval type="int" val="1" /><sval type="string" val="-------------------------------------" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="53" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="54" /><sval type="int" val="1" /><sval type="string" val="-  Lets start collecting -" /></sval><sval type="array" size="3"><sval type="int" val="54" /><sval type="int" val="1" /><sval type="string" val="-------------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="54" /><sval type="int" val="1" /><sval type="string" val="check for fragments to collect" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="56" /><sval type="int" val="1" /><sval type="string" val=" - If NOT free space, Xfer to target or stop" /></sval><sval type="array" size="2"><sval type="int" val="58" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="59" /><sval type="int" val="1" /><sval type="string" val="Transfer to target" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="62" /><sval type="int" val="1" /><sval type="string" val="Transfer to following ships" /></sval><sval type="array" size="2"><sval type="int" val="68" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="75" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="78" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="87" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="87" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="87" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="87" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="88" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="88" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="88" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="89" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="89" /><sval type="int" val="1" /><sval type="string" val="Stop collecting command if enemy ships are detected" /></sval><sval type="array" size="2"><sval type="int" val="93" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="94" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="94" /><sval type="int" val="1" /><sval type="string" val="Stop collecting command if no  free space" /></sval><sval type="array" size="2"><sval type="int" val="98" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="99" /><sval type="int" val="1" /><sval type="string" val="If no more fragments return to mining ship" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="102" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="102" /><sval type="int" val="1" /><sval type="string" val="- End of Main Loop" /></sval><sval type="array" size="3"><sval type="int" val="102" /><sval type="int" val="1" /><sval type="string" val="-------------------------------------" /></sval><sval type="array" size="2"><sval type="int" val="102" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="107" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="108" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="113" /><sval type="int" val="4" /></sval></sval><sval type="int" val="521" /></sval>
</codearray>
</script>
